function TFTB_LoadOptions()
{
	const prefService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
	const branch = prefService.getBranch("TorrentFinderToolbar.");
	document.getElementById("TFTB-Opt-ClickSelectsAll").checked		= branch.getBoolPref("click_selects_all");
	document.getElementById("TFTB-Opt-SearchInTab").checked 			= branch.getBoolPref("search_in_tab");
	document.getElementById("TFTB-Opt-AutoUpdate").checked		= branch.getBoolPref("autoupdate");
	document.getElementById("TFTB-Opt-TB-ShowLabels").checked 	= branch.getBoolPref("buttons.showlabels");
	document.getElementById("TFTB-Opt-TB-Highlighter").checked 	= branch.getBoolPref("buttons.highlighter");
	document.getElementById("TFTB-Opt-TB-Web").checked 	= branch.getBoolPref("buttons.web");
	document.getElementById("TFTB-Opt-WarnOnFormHistory").checked	= branch.getBoolPref("warn_on_form_history");
	document.getElementById("TFTB-Opt-MaintainHistory").checked		= branch.getBoolPref("maintain_history");
	document.getElementById("TFTB-Opt-EnableAutoComplete").checked	= branch.getBoolPref("enable_auto_complete");
	document.getElementById("TFTB-Opt-UseInlineComplete").checked	= branch.getBoolPref("use_inline_complete");
	document.getElementById("TFTB-Opt-AutoSearch").checked 			= branch.getBoolPref("auto_search");
	document.getElementById("TFTB-Opt-UseCache").checked 			= branch.getBoolPref("form.usecache");
	document.getElementById("TFTB-Opt-PromptToClearHistory").checked = branch.getBoolPref("prompt_to_clear");
	document.getElementById("TFTB-Opt-CtrlSearch").checked 		= branch.getBoolPref("isctrl_search");
	document.getElementById("TFTB-Opt-TB-SearchWords").checked		= branch.getBoolPref("buttons.searchwords");
	document.getElementById("TFTB-Opt-CM-ShowContext").checked	= branch.getBoolPref("context.showcontext");
	TFTB_UpdateUseInlineCompleteStatus();
	TFTB_UpdateSearchHistoryStatus();
}
function TFTB_SaveOptions()
{
	const prefService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
	const branch = prefService.getBranch("TorrentFinderToolbar.");
	branch.setBoolPref("click_selects_all",document.getElementById("TFTB-Opt-ClickSelectsAll").checked );
	branch.setBoolPref("search_in_tab", document.getElementById("TFTB-Opt-SearchInTab").checked);
	branch.setBoolPref("autoupdate", document.getElementById("TFTB-Opt-AutoUpdate").checked);
	branch.setBoolPref("buttons.showlabels", document.getElementById("TFTB-Opt-TB-ShowLabels").checked);
	branch.setBoolPref("buttons.highlighter", document.getElementById("TFTB-Opt-TB-Highlighter").checked);
	branch.setBoolPref("buttons.web", document.getElementById("TFTB-Opt-TB-Web").checked);
	branch.setBoolPref("isctrl_search", document.getElementById("TFTB-Opt-CtrlSearch").checked);
	branch.setBoolPref("warn_on_form_history", document.getElementById("TFTB-Opt-WarnOnFormHistory").checked);
	branch.setBoolPref("maintain_history", document.getElementById("TFTB-Opt-MaintainHistory").checked);
	branch.setBoolPref("enable_auto_complete", document.getElementById("TFTB-Opt-EnableAutoComplete").checked);
	branch.setBoolPref("use_inline_complete", document.getElementById("TFTB-Opt-UseInlineComplete").checked);
	branch.setBoolPref("buttons.searchwords", document.getElementById("TFTB-Opt-TB-SearchWords").checked);
	branch.setBoolPref("auto_search", document.getElementById("TFTB-Opt-AutoSearch").checked);
	branch.setBoolPref("prompt_to_clear", document.getElementById("TFTB-Opt-PromptToClearHistory").checked);
	branch.setBoolPref("context.showcontext", document.getElementById("TFTB-Opt-CM-ShowContext").checked);
	branch.setBoolPref("form.usecache", document.getElementById("TFTB-Opt-UseCache").checked); 
	try
	{
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
		var e = wm.getEnumerator("navigator:browser");
		var win;
		while(e.hasMoreElements())
		{
			win = e.getNext();
			win.TFTB_OptionsHaveUpdated();
		}
	} catch (e) {}
}
function TFTB_UpdateUseInlineCompleteStatus()
{
	var disabled = true;
	if(document.getElementById("TFTB-Opt-EnableAutoComplete").checked)
		disabled = false;
	document.getElementById("TFTB-Opt-UseInlineComplete").disabled = disabled;
}
function TFTB_UpdateSearchHistoryStatus()
{
	var disabled = true;
	if(document.getElementById("TFTB-Opt-MaintainHistory").checked)
		disabled = false;
	document.getElementById("TFTB-Opt-EnableAutoComplete").disabled = disabled;
	if(document.getElementById("TFTB-Opt-EnableAutoComplete").checked)
		document.getElementById("TFTB-Opt-UseInlineComplete").disabled = disabled;
	document.getElementById("TFTB-Opt-AutoSearch").disabled = disabled;
	document.getElementById("TFTB-Opt-PromptToClearHistory").disabled = disabled;
}
